#include <opencv2/core/core.hpp>
#include <opencv2/highgui/highgui.hpp>
#include <opencv2/imgproc/imgproc.hpp>

using namespace cv;

// Normalized convolution
void NC(Mat &I, Mat &F, float sigma_s, float sigma_r, int max_iter=3, Mat &edge=Mat());
// Interpolation convolution
void IC(Mat &I, Mat &F, float sigma_s, float sigma_r, int max_iter=3, Mat &edge=Mat());
// Recursive Filter
void RF(Mat &I, Mat &F, float sigma_s, float sigma_r, int max_iter=3, Mat &edge=Mat());